---
title: "Get order attribution in bulk"
description: "Get a list of attribution details based on the specified order IDs."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/get-order-attribution-in-bulk'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/order-management/get-order-attribution-in-bulk.md'
---
# Get order attribution in bulk

Get a list of attribution details based on the specified order IDs. 

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /orders/order_attribution_info.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_orders`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `orders`

  array<string>

  A list of order IDs.<br/>
  Maximum size: 500 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `data`

  array<object>

  List of order attribution data. 

  * `days_for_conversion`

    integer

    The number of days taken for order conversion. 

  * `first_interaction`

    object

    The details of the buyer's first interaction that led to the order. 

    * `first_landing_page_url`

      string

      First landing page URL. 

    * `first_referrer_name`

      string

      First referrer name. 

    * `first_referrer_url`

      string

      First referrer URL. 

    * `first_utm_parameters`

      object

      UTM parameters from the first interaction, used for advertising order attribution. 

      * `first_utm_campaign`

        string

        First UTM campaign theme. 

      * `first_utm_content`

        string

        First UTM campaign content. 

      * `first_utm_medium`

        string

        First UTM campaign medium. 

      * `first_utm_name`

        string

        First UTM campaign name. 

      * `first_utm_source`

        string

        First UTM campaign source. 

      * `first_utm_term`

        string

        First UTM campaign term. 

    * `first_interact_time`

      string

      Time of the first interaction. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). 

    * `first_interaction_source`

      string

      First referrer source type. Valid values are: 
      - `Direct` : Directly visiting the store  
      - `Social` : Visiting the store through social media recommendations
      - `Search` : Visiting the store via search engine recommendations
      - `Other` : Visiting the store through recommendations from other websites
      - `AI Chat` : Visiting the store through recommendations from AI chat conversations

  * `last_interaction`

    object

    The details of the buyer's latest interaction that led to the order. 

    * `last_referrer_name`

      string

      Latest referrer name. 

    * `last_referrer_url`

      string

      Latest referrer URL. 

    * `last_utm_parameters`

      object

      UTM parameters from the latest interaction, used for advertising order attribution. 

      * `last_utm_source`

        string

        Latest UTM campaign source. 

      * `last_utm_term`

        string

        Latest UTM campaign term. 

      * `last_utm_campaign`

        string

        Latest UTM campaign theme. 

      * `last_utm_content`

        string

        Latest UTM campaign content. 

      * `last_utm_medium`

        string

        Latest UTM campaign medium. 

      * `last_utm_name`

        string

        Latest UTM campaign name. 

    * `last_interact_time`

      string

      Time of the latest interaction. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). 

    * `last_interaction_source`

      string

      Latest referrer source type. Valid values are: 
      - `Direct` : Directly visiting the store  
      - `Social` : Visiting the store through social media recommendations
      - `Search` : Visiting the store via search engine recommendations
      - `Other` : Visiting the store through recommendations from other websites
      - `AI Chat` : Visiting the store through recommendations from AI chat conversations

    * `last_landing_page`

      string

      Latest landing page URL. 

  * `order_seq`

    string

    Order ID. 

  * `order_time`

    string

    Order completion time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). 

  * `total_traffics`

    integer

    The number of interactions a user has before order conversion. 


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Get order attribution in bulk"
  ],
  "description": "Get a list of attribution details based on the specified order IDs. ",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| ORDERS_QUANTITY_EXCEEDS_LIMIT | 500 | The length of orders cannot exceed 500. |\n"
  },
  "operationId": "dnygegkfuzcxquxe",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "type": "object",
          "properties": {
            "orders": {
              "name": "orders",
              "description": "A list of order IDs.<br/>\nMaximum size: 500 ",
              "type": "array",
              "items": {
                "type": "string",
                "example": "21071058873779430237494658"
              },
              "example": [
                "21071058873779430237494658"
              ]
            }
          },
          "required": [
            "orders"
          ],
          "example": {
            "orders": [
              "21071058873779430237494658"
            ]
          }
        },
        "examples": {
          "Get order attribution in bulk": {
            "description": "Based on a batch of order numbers passed in by the merchant, return the attribution information list of these orders. The maximum size of orders in a single batch passed in is 500.",
            "value": {
              "orders": [
                "21069159447203440732129066"
              ]
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "data": {
                "name": "data",
                "description": "List of order attribution data. ",
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "days_for_conversion": {
                      "name": "days_for_conversion",
                      "description": "The number of days taken for order conversion. ",
                      "type": "integer"
                    },
                    "first_interaction": {
                      "name": "first_interaction",
                      "description": "The details of the buyer's first interaction that led to the order. ",
                      "type": "object",
                      "properties": {
                        "first_landing_page_url": {
                          "name": "first_landing_page_url",
                          "description": "First landing page URL. ",
                          "type": "string"
                        },
                        "first_referrer_name": {
                          "name": "first_referrer_name",
                          "description": "First referrer name. ",
                          "type": "string",
                          "example": "Facebook"
                        },
                        "first_referrer_url": {
                          "name": "first_referrer_url",
                          "description": "First referrer URL. ",
                          "type": "string"
                        },
                        "first_utm_parameters": {
                          "name": "first_utm_parameters",
                          "description": "UTM parameters from the first interaction, used for advertising order attribution. ",
                          "type": "object",
                          "properties": {
                            "first_utm_campaign": {
                              "name": "first_utm_campaign",
                              "description": "First UTM campaign theme. ",
                              "type": "string",
                              "example": "black_friday_2025"
                            },
                            "first_utm_content": {
                              "name": "first_utm_content",
                              "description": "First UTM campaign content. ",
                              "type": "string",
                              "example": "textlink vs button"
                            },
                            "first_utm_medium": {
                              "name": "first_utm_medium",
                              "description": "First UTM campaign medium. ",
                              "type": "string",
                              "example": "social"
                            },
                            "first_utm_name": {
                              "name": "first_utm_name",
                              "description": "First UTM campaign name. ",
                              "type": "string",
                              "example": "main_banner_v1"
                            },
                            "first_utm_source": {
                              "name": "first_utm_source",
                              "description": "First UTM campaign source. ",
                              "type": "string",
                              "example": "google"
                            },
                            "first_utm_term": {
                              "name": "first_utm_term",
                              "description": "First UTM campaign term. ",
                              "type": "string",
                              "example": "running+shoes"
                            }
                          },
                          "example": {
                            "first_utm_term": "running+shoes",
                            "first_utm_campaign": "black_friday_2025",
                            "first_utm_content": "textlink vs button",
                            "first_utm_medium": "social",
                            "first_utm_name": "main_banner_v1",
                            "first_utm_source": "google"
                          }
                        },
                        "first_interact_time": {
                          "name": "first_interact_time",
                          "description": "Time of the first interaction. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). ",
                          "type": "string",
                          "example": "2025-03-21T17:46:17+08:00"
                        },
                        "first_interaction_source": {
                          "name": "first_interaction_source",
                          "description": "First referrer source type. Valid values are: \n- `Direct` : Directly visiting the store  \n- `Social` : Visiting the store through social media recommendations\n- `Search` : Visiting the store via search engine recommendations\n- `Other` : Visiting the store through recommendations from other websites\n- `AI Chat` : Visiting the store through recommendations from AI chat conversations",
                          "type": "string",
                          "example": "Social"
                        }
                      },
                      "example": {
                        "first_interact_time": "2025-03-21T17:46:17+08:00",
                        "first_interaction_source": "Social",
                        "first_landing_page_url": null,
                        "first_referrer_name": "Facebook",
                        "first_referrer_url": null,
                        "first_utm_parameters": {
                          "first_utm_term": "running+shoes",
                          "first_utm_campaign": "black_friday_2025",
                          "first_utm_content": "textlink vs button",
                          "first_utm_medium": "social",
                          "first_utm_name": "main_banner_v1",
                          "first_utm_source": "google"
                        }
                      }
                    },
                    "last_interaction": {
                      "name": "last_interaction",
                      "description": "The details of the buyer's latest interaction that led to the order. ",
                      "type": "object",
                      "properties": {
                        "last_referrer_name": {
                          "name": "last_referrer_name",
                          "description": "Latest referrer name. ",
                          "type": "string",
                          "example": "Facebook"
                        },
                        "last_referrer_url": {
                          "name": "last_referrer_url",
                          "description": "Latest referrer URL. ",
                          "type": "string"
                        },
                        "last_utm_parameters": {
                          "name": "last_utm_parameters",
                          "description": "UTM parameters from the latest interaction, used for advertising order attribution. ",
                          "type": "object",
                          "properties": {
                            "last_utm_source": {
                              "name": "last_utm_source",
                              "description": "Latest UTM campaign source. ",
                              "type": "string",
                              "example": "google"
                            },
                            "last_utm_term": {
                              "name": "last_utm_term",
                              "description": "Latest UTM campaign term. ",
                              "type": "string",
                              "example": "running+shoes"
                            },
                            "last_utm_campaign": {
                              "name": "last_utm_campaign",
                              "description": "Latest UTM campaign theme. ",
                              "type": "string",
                              "example": "black_friday_2025"
                            },
                            "last_utm_content": {
                              "name": "last_utm_content",
                              "description": "Latest UTM campaign content. ",
                              "type": "string",
                              "example": "textlink vs button"
                            },
                            "last_utm_medium": {
                              "name": "last_utm_medium",
                              "description": "Latest UTM campaign medium. ",
                              "type": "string",
                              "example": "social"
                            },
                            "last_utm_name": {
                              "name": "last_utm_name",
                              "description": "Latest UTM campaign name. ",
                              "type": "string",
                              "example": "main_banner_v1"
                            }
                          },
                          "example": {
                            "last_utm_name": "main_banner_v1",
                            "last_utm_source": "google",
                            "last_utm_term": "running+shoes",
                            "last_utm_campaign": "black_friday_2025",
                            "last_utm_content": "textlink vs button",
                            "last_utm_medium": "social"
                          }
                        },
                        "last_interact_time": {
                          "name": "last_interact_time",
                          "description": "Time of the latest interaction. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). ",
                          "type": "string",
                          "example": "2025-03-21T17:48:14+08:00"
                        },
                        "last_interaction_source": {
                          "name": "last_interaction_source",
                          "description": "Latest referrer source type. Valid values are: \n- `Direct` : Directly visiting the store  \n- `Social` : Visiting the store through social media recommendations\n- `Search` : Visiting the store via search engine recommendations\n- `Other` : Visiting the store through recommendations from other websites\n- `AI Chat` : Visiting the store through recommendations from AI chat conversations",
                          "type": "string",
                          "example": "Social"
                        },
                        "last_landing_page": {
                          "name": "last_landing_page",
                          "description": "Latest landing page URL. ",
                          "type": "string"
                        }
                      },
                      "example": {
                        "last_interact_time": "2025-03-21T17:48:14+08:00",
                        "last_interaction_source": "Social",
                        "last_landing_page": null,
                        "last_referrer_name": "Facebook",
                        "last_referrer_url": null,
                        "last_utm_parameters": {
                          "last_utm_content": "textlink vs button",
                          "last_utm_medium": "social",
                          "last_utm_name": "main_banner_v1",
                          "last_utm_source": "google",
                          "last_utm_term": "running+shoes",
                          "last_utm_campaign": "black_friday_2025"
                        }
                      }
                    },
                    "order_seq": {
                      "name": "order_seq",
                      "description": "Order ID. ",
                      "type": "string",
                      "example": "21071058873779430237494658"
                    },
                    "order_time": {
                      "name": "order_time",
                      "description": "Order completion time. Format: [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html). ",
                      "type": "string",
                      "example": "2025-03-21T17:48:57+08:00"
                    },
                    "total_traffics": {
                      "name": "total_traffics",
                      "description": "The number of interactions a user has before order conversion. ",
                      "type": "integer"
                    }
                  },
                  "example": {
                    "total_traffics": null,
                    "days_for_conversion": null,
                    "first_interaction": {
                      "first_landing_page_url": null,
                      "first_referrer_name": "Facebook",
                      "first_referrer_url": null,
                      "first_utm_parameters": {
                        "first_utm_source": "google",
                        "first_utm_term": "running+shoes",
                        "first_utm_campaign": "black_friday_2025",
                        "first_utm_content": "textlink vs button",
                        "first_utm_medium": "social",
                        "first_utm_name": "main_banner_v1"
                      },
                      "first_interact_time": "2025-03-21T17:46:17+08:00",
                      "first_interaction_source": "Social"
                    },
                    "last_interaction": {
                      "last_interact_time": "2025-03-21T17:48:14+08:00",
                      "last_interaction_source": "Social",
                      "last_landing_page": null,
                      "last_referrer_name": "Facebook",
                      "last_referrer_url": null,
                      "last_utm_parameters": {
                        "last_utm_term": "running+shoes",
                        "last_utm_campaign": "black_friday_2025",
                        "last_utm_content": "textlink vs button",
                        "last_utm_medium": "social",
                        "last_utm_name": "main_banner_v1",
                        "last_utm_source": "google"
                      }
                    },
                    "order_seq": "21071058873779430237494658",
                    "order_time": "2025-03-21T17:48:57+08:00"
                  }
                },
                "example": [
                  {
                    "total_traffics": null,
                    "days_for_conversion": null,
                    "first_interaction": {
                      "first_utm_parameters": {
                        "first_utm_name": "main_banner_v1",
                        "first_utm_source": "google",
                        "first_utm_term": "running+shoes",
                        "first_utm_campaign": "black_friday_2025",
                        "first_utm_content": "textlink vs button",
                        "first_utm_medium": "social"
                      },
                      "first_interact_time": "2025-03-21T17:46:17+08:00",
                      "first_interaction_source": "Social",
                      "first_landing_page_url": null,
                      "first_referrer_name": "Facebook",
                      "first_referrer_url": null
                    },
                    "last_interaction": {
                      "last_utm_parameters": {
                        "last_utm_term": "running+shoes",
                        "last_utm_campaign": "black_friday_2025",
                        "last_utm_content": "textlink vs button",
                        "last_utm_medium": "social",
                        "last_utm_name": "main_banner_v1",
                        "last_utm_source": "google"
                      },
                      "last_interact_time": "2025-03-21T17:48:14+08:00",
                      "last_interaction_source": "Social",
                      "last_landing_page": null,
                      "last_referrer_name": "Facebook",
                      "last_referrer_url": null
                    },
                    "order_seq": "21071058873779430237494658",
                    "order_time": "2025-03-21T17:48:57+08:00"
                  }
                ]
              }
            },
            "example": {
              "data": [
                {
                  "total_traffics": null,
                  "days_for_conversion": null,
                  "first_interaction": {
                    "first_interact_time": "2025-03-21T17:46:17+08:00",
                    "first_interaction_source": "Social",
                    "first_landing_page_url": null,
                    "first_referrer_name": "Facebook",
                    "first_referrer_url": null,
                    "first_utm_parameters": {
                      "first_utm_medium": "social",
                      "first_utm_name": "main_banner_v1",
                      "first_utm_source": "google",
                      "first_utm_term": "running+shoes",
                      "first_utm_campaign": "black_friday_2025",
                      "first_utm_content": "textlink vs button"
                    }
                  },
                  "last_interaction": {
                    "last_interact_time": "2025-03-21T17:48:14+08:00",
                    "last_interaction_source": "Social",
                    "last_landing_page": null,
                    "last_referrer_name": "Facebook",
                    "last_referrer_url": null,
                    "last_utm_parameters": {
                      "last_utm_source": "google",
                      "last_utm_term": "running+shoes",
                      "last_utm_campaign": "black_friday_2025",
                      "last_utm_content": "textlink vs button",
                      "last_utm_medium": "social",
                      "last_utm_name": "main_banner_v1"
                    }
                  },
                  "order_seq": "21071058873779430237494658",
                  "order_time": "2025-03-21T17:48:57+08:00"
                }
              ]
            }
          },
          "examples": {
            "Get order attribution in bulk": {
              "description": "Based on a batch of order numbers passed in by the merchant, return the attribution information list of these orders. The maximum size of orders in a single batch passed in is 500.",
              "value": {
                "data": [
                  {
                    "total_traffics": 2,
                    "days_for_conversion": 1,
                    "first_interaction": {
                      "first_interact_time": "2025-03-21T17:46:17+08:00",
                      "first_interaction_source": "Direct",
                      "first_landing_page_url": "https://www.example.com/collections?utm_content=textlink&utm_campaign=black_friday_2025&utm_term=running&utm_source=google&utm_name=main_banner_v1&utm_medium=social",
                      "first_referrer_name": "Direct",
                      "first_referrer_url": null,
                      "first_utm_parameters": {
                        "first_utm_source": "google",
                        "first_utm_term": "running",
                        "first_utm_campaign": "black_friday_2025",
                        "first_utm_content": "textlink",
                        "first_utm_medium": "social",
                        "first_utm_name": "main_banner_v1"
                      }
                    },
                    "last_interaction": {
                      "last_referrer_name": "Google",
                      "last_referrer_url": "https://www.example.com/",
                      "last_utm_parameters": {
                        "last_utm_content": null,
                        "last_utm_medium": null,
                        "last_utm_name": null,
                        "last_utm_source": null,
                        "last_utm_term": null,
                        "last_utm_campaign": null
                      },
                      "last_interact_time": "2025-03-21T17:48:14+08:00",
                      "last_interaction_source": "Search",
                      "last_landing_page": "https://www.example.com/"
                    },
                    "order_seq": "21069159447203440732129066",
                    "order_time": "2025-03-21T17:48:57+08:00"
                  }
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/orders/order_attribution_info.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Get order attribution in bulk",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_orders"
  ]
}
```